function [T,Y] = runge(f,a,b,ya,m)
%---------------------------------------------------------------------------
% RUNGE
%---------------------------------------------------------------------------

h = (b - a)/m;
T = zeros(1,m+1);
Y = zeros(1,m+1);
T = a:h:b;
Y(1) = ya;

for J = 1:m;
    f1 = feval(f, T(J), Y(J));
    f2 = feval(f, T(J) + h/2, Y(J) + h * f1 / 2);
    f3 = feval(f, T(J) + h/2, Y(J) + h * f2 / 2);
    f4 = feval(f, T(J) + h, Y(J) + h * f3);
    Y(J+1) = Y(J) + h * (f1 + 2*f2 + 2*f3 + f4) / 6;
end
